Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantActionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<AssistantAction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<AssistantAction>
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantActionDao

public class AssistantActionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<AssistantAction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantActionDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AssistantActionItem>`
  `assistantActions(int masterId)`
  `List<AssistantActionItem>`
  `assistantActions(int masterId, int userId)`
  `List<Integer>`
  `checkActionIds(int masterId, List<Integer> actionIds)`
  `protected int`
  `deleteImpl(int id)`
  `AssistantAction`
  `get(int id)`
  `AssistantAction`
  `getByActionId(String actionId, List<Integer> ids)`
  `protected AssistantAction`
  `getFromRS(ResultSet rs)`
  `List<Integer>`
  `getUserRoleIds(int id)`
  `protected void`
  `updateImpl(AssistantAction assistantAction)`
  `void`
  `updateSortListAssistantAction(List<AssistantActionItem> assistantActions)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistantActionDao

    public AssistantActionDao(Connection con)

- ## Method Details

  - ### assistantActions

    public List<AssistantActionItem> assistantActions(int masterId) throws SQLException
    Throws:
      `SQLException`

  - ### updateSortListAssistantAction

    public void updateSortListAssistantAction(List<AssistantActionItem> assistantActions) throws SQLException
    Throws:
      `SQLException`

  - ### checkActionIds

    public List<Integer> checkActionIds(int masterId, List<Integer> actionIds) throws SQLException
    Throws:
      `SQLException`

  - ### assistantActions

    public List<AssistantActionItem> assistantActions(int masterId, int userId) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public AssistantAction get(int id) throws SQLException
    Overrides:
      `get` in class `ru.bitel.bgbilling.common.dao.AbstractIdDao<AssistantAction>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected AssistantAction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AssistantAction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(AssistantAction assistantAction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AssistantAction>`
    Throws:
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AssistantAction>`
    Throws:
      `SQLException`

  - ### getByActionId

    public AssistantAction getByActionId(String actionId, List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### getUserRoleIds

    public List<Integer> getUserRoleIds(int id) throws SQLException
    Throws:
      `SQLException`